{% extends "profile/base.html" %}
{% load staticfiles %}
{% load static %}

{% block page_resources %}
<link rel="stylesheet" type="text/css" href="{% static 'css/update_status.css' %}" />
{% endblock %}

{% block content %}
    <section name="form">
        <h2>Update Status</h2>
        <form id="form" method="POST" action="{% url 'login-status:add_status' %}">
            {% csrf_token %}
            {{ status_form }}
            <br>
            <button type="submit" class="btn-status btn-default"><span>Post</span></button>
        </form>
        <br>
    </section>

    <section name="status history">
        <div class="flex">
            {% for i in allStatus reversed %}
                <div class="flex-item mb-3">

                    <div class="list-status">
                        <p class="created_time"><b> {{ i.created_date }} </b></p>
                        <p class="status_message"> {{ i.message }} </p>
                    </div>
                    <div class="to-do-list-delete">
                        <div class="to-do-list-delete-button" data-id="{{ i.id }}">Delete</div>
                    </div>
                </div>
                <br>
            {% endfor %}
        </div>
    </section>
{% endblock %}

{% block bottom_script %}
<script type="application/javascript">
    $(".to-do-list-delete-button").click(function () {
        var id = $(this).data('id');
        location.href = "delete_status/" + id;
    });
</script>
{% endblock %}
